Package Details: protonmail-bridge 1.8.10-2

Git Clone URL: https://aur.archlinux.org/protonmail-bridge.git (read-only, click to copy)
Package Base: protonmail-bridge
Description: Integrate ProtonMail paid account with any program that supports IMAP and SMTP
Upstream URL: https://protonmail.com/bridge
Keywords: bridge email mail protonmail protonmail-bridge
Licenses: GPL3
Conflicts: protonmail-bridge-bin
Submitter: aimileus
Maintainer: ali.molaei (PMBridge-Devs)
Last Packager: ali.molaei
Votes: 83
Popularity: 2.18
First Submitted: 2018-03-02 16:03
Last Updated: 2021-11-02 18:24

Pinned Comments

bthompson commented on 2021-06-17 04:13

Just having pass installed with a key set up wasn't enough for me, I had to follow this: https://pychao.com/2020/06/10/update-on-using-protonmail-bridge-on-headless-wordpress-linux-servers/

ali.molaei commented on 2020-04-16 07:52

This package is now being built from source. if you want the binary version, use protonmail-bridge-bin package

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

eimis commented on 2021-04-30 14:38

Version 1.7.1 is already out. Where is the problem with updating?

maybe this:

Updating files: 100% (9714/9714), done.
if [ "linux" == "darwin" ]; then cp -f "./utils/QTBUG-88600/libqcocoa.dylib" "./vendor-cache/github.com/therecipe/env_linux_amd64_513/5.13.0/clang_64/plugins/platforms/"; fi;
go install -v -tags=no_env github.com/therecipe/qt/cmd/...
/home/eimis/go/pkg/mod/github.com/therecipe/qt@v0.0.0-20200701200531-7f61353ee73e/internal/binding/files/docs/mod.go:4:2: no required module provides package github.com/therecipe/qt/internal/binding/files/docs/5.12.0; to add it:
    go get github.com/therecipe/qt/internal/binding/files/docs/5.12.0
/home/eimis/go/pkg/mod/github.com/therecipe/qt@v0.0.0-20200701200531-7f61353ee73e/internal/binding/files/docs/mod.go:5:2: no required module provides package github.com/therecipe/qt/internal/binding/files/docs/5.13.0; to add it:
    go get github.com/therecipe/qt/internal/binding/files/docs/5.13.0
make: *** [Makefile:180: prepare-vendor] Error 1
==> ERROR: A failure occurred in prepare().
    Aborting...

Spixmaster commented on 2021-04-30 10:21

Version 1.7.1 is already out. Where is the problem with updating?

ali.molaei commented on 2021-04-25 16:57

I am aware of 1.7.0 but there are some issues building the package, waiting for upstream to resolve it

ali.molaei commented on 2021-04-03 06:34

@iyanmv It's a little bit of a legacy that I am not downloading the tar.gz file

First, the GitHub repository didn't have tags when we started to build it from the source

Second, Sometimes we want to add a fix like the last version which we compiled from one commit after the 1.6.6 tag

Third, I think tar.gz files didn't have proper versioning sometimes, I was switched to tar.gz in 2020-05-25 and switched back to git and tags in 2020-08-14, before that it was using the tar.gz

About the build function though, you are right, I will fix that in the next version

iyanmv commented on 2021-04-02 12:50

Hi ali.molaei! Thanks for maintaining this package. Just a few things I saw today when installing it. Why don't you use the tar.gz from the version instead of cloning the git repo?

source=(https://github.com/ProtonMail/proton-bridge/archive/refs/tags/br-${pkgver}.tar.gz)

Also, you shouldn't build the package in the prepare function. Use build instead [1].

[1] https://wiki.archlinux.org/index.php/Creating_packages#build()

Spixmaster commented on 2021-03-05 05:53

@ali.molaei I thought my problem was a different one. Nevertheless, it is working now. Thank you for your work.

ali.molaei commented on 2021-03-04 20:22

@Spixmaster I'm well aware of this issue, if you read the comments, I mentioned it before :)

https://github.com/ProtonMail/proton-bridge/issues/174

Actually, this commit is fixed the issue, But it's not included in the latest tag

Spixmaster commented on 2021-03-04 19:58

The package is not building.

go: downloading golang.org/x/tools v0.0.0-20200117012304-6edc0a871e69
go: downloading golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd
/home/user/.go/pkg/mod/github.com/therecipe/qt@v0.0.0-20200701200531-7f61353ee73e/internal/binding/files/docs/mod.go:4:2: no required module provides package github.com/therecipe/qt/internal/binding/files/docs/5.12.0; to add it:
        go get github.com/therecipe/qt/internal/binding/files/docs/5.12.0
/home/user/.go/pkg/mod/github.com/therecipe/qt@v0.0.0-20200701200531-7f61353ee73e/internal/binding/files/docs/mod.go:5:2: no required module provides package github.com/therecipe/qt/internal/binding/files/docs/5.13.0; to add it:
        go get github.com/therecipe/qt/internal/binding/files/docs/5.13.0
make: *** [Makefile:172: prepare-vendor] Fehler 1
==> FEHLER: Ein Fehler geschah in prepare().
    Breche ab...
error making: protonmail-bridge

ali.molaei commented on 2021-03-01 09:12

@captainfeeny thanks for letting me know a new tag is on GitHub, but I'm not gonna update this package until this issue gets fixed

I can fix it temporarily in the PKGBUILD but I don't, the reason is it makes the PKGBUILD specific to some versions and makes it not a general script.

And also, On the website, the latest version is still 1.6.3, so I will wait until at least it changes

ali.molaei commented on 2021-02-23 06:20

I've got a Flag Out-of-date message from @lpc123 with this comment:

Issue is with go install -v -tags=no_env github.com/therecipe/qt/cmd/

First, this is a comment, not an Out-of-date report, please don't do this. Second, thanks to check for the problem, but Makefile is not built by me, please report the problem upstream https://github.com/ProtonMail/proton-bridge/

By the way, I made an issue there now: https://github.com/ProtonMail/proton-bridge/issues/174